# Michigan.Ods.Sdk.Composites.ExtendedEnrollment.SectionEnrollmentStudentSectionAssociation
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**BeginDate** | **DateTime?** | Month, day, and year of the Student&#39;s entry or assignment to the Section. | 
**EndDate** | **DateTime?** | Month, day, and year of the withdrawal or exit of the Student from the Section. | [optional] 
**Id** | **string** |  | 
**StudentUniqueId** | **string** | A unique alphanumeric code assigned to a student. | 
**PersonalTitlePrefix** | **string** | A prefix used to denote the title, degree, position, or seniority of the person. | [optional] 
**FirstName** | **string** | A name given to an individual at birth, baptism, or during another naming ceremony, or through legal change. | 
**MiddleName** | **string** | A secondary name given to an individual at birth, baptism, or during another naming ceremony. | [optional] 
**LastSurname** | **string** | The name borne in common by members of a family. | 
**BirthDate** | **DateTime?** | The month, day, and year on which an individual was born. | 
**Schools** | [**List&lt;SectionEnrollmentStudentSectionAssociationStudentSchoolAssociation&gt;**](SectionEnrollmentStudentSectionAssociationStudentSchoolAssociation.md) | An unordered collection of studentSchoolAssociations.  | [optional] 
**EducationOrganizations** | [**List&lt;SectionEnrollmentStudentSectionAssociationStudentEducationOrganizationAssociation&gt;**](SectionEnrollmentStudentSectionAssociationStudentEducationOrganizationAssociation.md) | An unordered collection of studentEducationOrganizationAssociations.  | [optional] 
**ProgramParticipations** | [**List&lt;SectionEnrollmentStudentSectionAssociationGeneralStudentProgramAssociation&gt;**](SectionEnrollmentStudentSectionAssociationGeneralStudentProgramAssociation.md) | An unordered collection of generalStudentProgramAssociations.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

