# Michigan.Ods.Sdk.Models.EdFiGeneralStudentProgramAssociationReference
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**BeginDate** | **DateTime?** | The month, day, and year on which the Student first received services. | 
**EducationOrganizationId** | **int?** | The identifier assigned to an education organization. | 
**ProgramEducationOrganizationId** | **int?** | The identifier assigned to an education organization. | 
**ProgramName** | **string** | The formal name of the Program of instruction, training, services, or benefits available through federal, state, or local agencies. | 
**ProgramTypeDescriptor** | **string** | The type of program. | 
**StudentUniqueId** | **string** | A unique alphanumeric code assigned to a student. | 
**Link** | [**Link**](Link.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

